$!++
$! compile sources in the [.PYTHON] subdirectory -- 17-NOV-1996 Uwe Zessin
$! The resulting .EXE is for the DCL environment.
$! Unsupported/ unneeded components are listed, but disabled via comment.
$!
$! 10-AUG-1997 - rewrite to allow compilation of a single module
$!		 (pass via P1)
$! 29-NOV-1997 ZE. -- update for Python V1.5B1
$!
$! P1 = modulename or "" (all modules including new .OLB)
$!--
$ _SRC = P1
$ _DEFAULT = F$ENVIRONMENT("DEFAULT")
$ on ERROR then $ goto PROC_EXIT
$!
$ _PROCEDURE = F$ENVIRONMENT("PROCEDURE")
$ _DEVICE    = F$PARSE(_PROCEDURE,,,"DEVICE")
$ _DIRECTORY = F$PARSE(_PROCEDURE,,,"DIRECTORY")
$!
$ set DEFAULT '_DEVICE''_DIRECTORY'	! [.VMS]
$ set DEFAULT [-.PYTHON]
$!
$ if (F$GETSYI("HW_MODEL").GE.1024)
$ then
$   _ARCH = "ALPHA"
$ else
$   _ARCH = "VAX"
$ endif
$ _OBJDIR = "[-.VMS.O_''_ARCH'.PYTHON]"
$ _OLBDIR = "[-.VMS.O_''_ARCH']"
$ _OLBFIL = _OLBDIR + "PYTHON.OLB"
$!
$ if (_SRC .eqs. "")
$ then
$   library /create /log '_OLBFIL'
$ else
$   _SRC = F$PARSE(_SRC,,,"NAME")	! extract module name
$   if (_SRC .nes. "")
$   then
$	if (F$EDIT(_SRC,"UPCASE") .eqs. "IMPORT")
$	then
$	    _SRC = "import/define=(""unlink=remove"")"
$	endif
$	call CC_LIBR '_SRC'
$	goto PROC_EXIT		! module compiled, done
$   endif
$ endif
$!
$ C_ = "call CC_LIBR"
$!
$!- C_ atof
$   C_ bltinmodule
$   C_ ceval
$!0 C_ cgensupport
$   C_ compile
$!- C_ dup2
$   C_ errors
$!- C_ fmod
$   C_ frozen
$!- C_ frozenmain
$   C_ getargs
$   C_ getcompiler
$!- C_ getcopyright
$!- C_ getcwd
$   C_ getmtime
$ if (_ARCH .nes. "ALPHA")	! OpenVMS Alpha has getopt()
$ then
$   C_ getopt
$ endif
$   C_ getplatform
$   C_ getversion
$   C_ graminit	    ! @@ edit for GCC
$!  C_ hypot
$   C_ import/define=("unlink=remove")
$   C_ importdl
$   C_ marshal
$!- C_ memmove
$   C_ modsupport
$   C_ mystrtoul
$!_ C_ PYFPE
$   C_ PYSTATE
$   C_ pythonrun     ! @@ edit for GCC
$!  C_ sigcheck	    	! functionality is also in signalmodule
$   C_ strdup
$!- C_ strerror
$!- C_ strtod
$   C_ structmember
$   C_ sysmodule
$!- C_ thread
$   C_ traceback
$!
$PROC_EXIT:
$ set DEFAULT '_DEFAULT'
$ exit
$! ----------------------------------------
$CC_LIBR: SUBROUTINE
$!+
$! - P1 = module name
$!-
$ @[-.VMS]DCC 'P1' '_OBJDIR' '_OLBFIL'
$!
$ ENDSUBROUTINE ! CC_LIBR: 
