$!+
$! CVT__RNO.COM
$! convert .RNO files to .MEM, :LNI, .TXT files.
$! Uses: RUNOFF, EDT
$! procedure is called from CVT_DOC.COM
$!-
$ copy pyvmsdoc.rn pyvmsdoc.rno
$!
$!
$!
$ write SYS$ERROR "%CVT__RNO-I-CREINTMED, creating intermediate file"
$ on WARNING then $ continue
$ runoff /INTERMEDIATE /noOUTPUT  PYVMSDOC.RNO ! -> PYVMSDOC.BRN
$ write SYS$ERROR "%CVT__RNO-I-CRETOC, creating table of contents"
$ on WARNING then $ continue
$ runoff /CONTENTS  PYVMSDOC.BRN               ! -> PYVMSDOC.RNT
$ write SYS$ERROR "%CVT__RNO-I-CREIDX, creating index"
$ on WARNING then $ continue
$ runoff /INDEX     PYVMSDOC.BRN               ! -> PYVMSDOC.RNX
$!
$ write SYS$ERROR "%CVT__RNO-I-CREMEM, creating final .MEM file"
$ on WARNING then $ continue
$ runoff /bold=1 /right=2 PYVMSDOC /form_size=200 ! -> PYVMSDOC.MEM
$!				   ! force <FF>
$!
$ write SYS$ERROR "%CVT__RNO-I-CVTTXT, converting .MEM to .TXT file"
$ edit /edt /command= SYS$INPUT: PYVMSDOC.MEM /OUTPUT= PYVMSDOC-TXT.TMP
! remove all <CR><LF> from the file
! after that remove all files containing a single <CR>
!  which is for line-printer bolding
substitute/
//%whole/notype
delete all '
'
exit
$! -- re-apply CR-attributes so one can $TYPE or print it.
$ convert /FDL= TXT.FDL PYVMSDOC-TXT.TMP PYVMSDOC.TXT
$ delete PYVMSDOC-TXT.TMP;*
$!
$ write SYS$ERROR "%CVT__RNO-I-CRELNI, creating final .LNI file"
$ on WARNING then $ continue
$ runoff /device=LN03 /right=5 PYVMSDOC /form_size=200 ! -> PYVMSDOC.LNI
$!					! force <FF>
$ edit /edt /command= SYS$INPUT: PYVMSDOC.LNI
! Delete some escape sequences from begin of file.
! <CSI>7 I
! <CSI>11h
! <CSI>?20 J
! <CSI>10000t
! <CSI>1;10000r
! <CSI>1;65536s
! <CSI>0d
! I have no idea what they do and I have never bothered to find out...
!
DELETE 1:7
EXIT
$!
$! delete PYVMSDOC.LNI;-1
$!
$ write SYS$ERROR "%CVT__RNO-I-DONE, RNO translation completed"
